Add sample apps and set byon version correctly
diff --git a/onos-setup.sh b/onos-setup.sh
index 606a0de..3cf275e 100644
--- a/onos-setup.sh
+++ b/onos-setup.sh
@@ -101,7 +101,7 @@
git clone https://gerrit.onosproject.org/onos
-cd onos && git checkout onos-1.2 && cd -
+cd onos && git checkout 1.2.1 && cd -
mkdir -p ~/Downloads
@@ -121,6 +121,15 @@
export JAVA_HOME="/usr/lib/jvm/java-8-openjdk-amd64"
cd $ONOS_ROOT && mvn clean install && mvn dependency:go-offline && cd -
+# Get the sample apps and build them for the right version
+git clone https://gerrit.onosproject.org/onos-app-samples
+cd onos-app-samples
+git checkout 52da58b5991049025ce1b599c000357500b00aef
+mvn versions:set -DnewVersion=1.2.1 versions:commit
+mvn clean install
+cd ..
+
+
cat << EOF >> onos/tools/test/cells/3node
export ONOS_NIC=10.0.3.*
export OC1="10.0.3.11"